# MInputMethod Struct Reference
[Input Method (basic)]

Structure of input method. More...

## Data Fields

MSymbol | language
MSymbol | name
MInputDriver | driver
void * | arg
void * | info

## Detailed Description

Structure of input method.

See struct MInputMethod.

The type `MInputMethod` is the structure of input method objects.

## Field Documentation

MSymbol MInputMethod::language

Which language this input method is for. The value is `Mnil` if the input method is foreign.

MSymbol MInputMethod::name

Name of the input method. If the input method is foreign, it must has a property of key `Minput_driver` and the value must be a pointer to a proper input method driver.

MInputDriver MInputMethod::driver

Input method driver of the input method.

void* MInputMethod::arg

The argument given to minput_open_im().

void* MInputMethod::info

Pointer to extra information that <driver>.open_im() setups.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines